function [match] = compareTriangleDistanceMaps(distanceMap1, distanceMap2, threshold)
% compareTriangleDistanceMaps checks if two triangle distance maps are similar
% distanceMap1|2: struct
%                 required fields: 'distance1', 'distance2'
% threshold: double
% returns: double
%          0 if the maps are not similar, 1 if they are
    
    match = abs(distanceMap1.distance1 - distanceMap2.distance1) < (threshold / 2) && abs(distanceMap1.distance2 - distanceMap2.distance2) < (threshold / 2);
end

