function [ segmentLengthDifferences ] = computeSegmentLengthDifferences(segments)
% computeSegmentLengthDifferences computes the length of all combinations of 
% segments. 
% segments: struct array
%           required fields: 'length'
% returns: struct array
%          each element has the fields 'segment1Idx', 'segment2Idx' and
%          'difference'

    nbSegments = size(segments, 2);
    segmentCombinationIdx = 1;
    for i=1:nbSegments
        for j=(i+1):nbSegments
            segmentLengthDifferences(segmentCombinationIdx) = struct('segment1Idx', i, 'segment2Idx', j, 'difference', segments(i).length - segments(j).length);
            segmentCombinationIdx = segmentCombinationIdx + 1;
        end
    end
end

