function [segments] = computeSegments(points)
% computeSegments computes the segments provided an array of points
% points: 3 x n array of double
%         each column represents the x,y,z coordinates of a point
% returns: struct array
%          each element has the fields 'point1Idx', 'point2Idx' and 'length'

    nbPts = size(points, 2);
    segmentIdx = 1;
    for i=1:nbPts
        for j=(i+1):nbPts
            segments(segmentIdx) = struct('point1Idx', i, 'point2Idx', j, 'length', computeEuclidianDistance(points(1:3, i), points(1:3, j)));
            segmentIdx = segmentIdx + 1;
        end
    end
end

