function [alpha, beta, gamma] = computeTriangleAngles(a, b, c)
% computeTriangleAngles computes a triangle's angle given the segment
% lengths 
% a: double
%    length of the segment opposed to alpha
% b: double
%    length of the segment opposed to beta
% c: double
%    length of the segment opposed to gamma
% returns: - alpha double
%          - beta double
%          - gamma double
%          The unit is degrees

    alpha = acosd((b^2 + c^2 - a^2) / (2*b*c));
    beta = acosd((a^2 + c^2 - b^2) / (2*a*c));
    gamma = acosd((a^2 + b^2 - c^2) / (2*a*b));
end

