function [surface] = computeTriangleSurface(a, b, c)
% computeTriangleSurface computes a triangle's surface given it's segment
% length using Heron's formula 
% a: double
%    length of the one of the triangle segments
% b: double
%    length of another one of the triangle segments
% c: double
%    length of the "remaining" triangle segments
% returns: double
    
    semiperimeter = (a + b + c) / 2;
    surface = sqrt(semiperimeter * (semiperimeter - a) * (semiperimeter - b) * (semiperimeter - c));
end

