function [] = displayTriangles(triangles)
% displayTriangles shows the informations about a list of triangles
% triangles: struct array
 %           required fields: 'point1Idx', 'point2Idx', 'point3Idx',
 %           'point1Angle', 'point2Angle', 'point3Angle' et 'surface'
% returns: -

    nbTriangles = size(triangles, 2);
    trianglePresentations = struct('pointLabel', [], 'point1Angle', [], 'point2Angle', [], 'point3Angle', [], 'surface', []);
    for i=1:nbTriangles
        trianglePresentations(i).pointLabel = sprintf('(%i, %i, %i)', triangles(i).point1Idx, triangles(i).point2Idx, triangles(i).point3Idx);
        trianglePresentations(i).point1Angle = triangles(i).point1Angle;
        trianglePresentations(i).point2Angle = triangles(i).point2Angle;
        trianglePresentations(i).point3Angle = triangles(i).point3Angle;
        trianglePresentations(i).surface = sprintf('%f', triangles(i).surface);
    end
    displayMatrix(trianglePresentations, 'Triangle %i', {'Point indices', 'Point 1 angle', 'Point 2 angle', 'Point 3 angle', 'Surface'});
end

