function [distanceMatrix] = getSegmentLengthMatrix(segments)
% getSegmentLengthMatrix reorganizes the segment structure array data in a
% n x n matrix where n is the number of points
% segments: struct array
%           required fields: 'point1Idx', 'point2Idx', 'length'
% returns: n x n double
%          the diagonal is initialized to 0 by matlab

    for i=1:size(segments, 2)
        distanceMatrix(segments(i).point1Idx, segments(i).point2Idx) = segments(i).length;
        distanceMatrix(segments(i).point2Idx, segments(i).point1Idx) = segments(i).length;
    end
end

