function [invertedRanges] = invertRanges(ranges)
% invertRanges inverts a set of existing ranges (creates a "negative")
% ranges: struct array
%         required fields: 'lower' and 'upper'
% returns: struct array
%          each element has the fields 'lower' and 'upper'
%
% Ex: ranges = [1,2], [3,5] -> invertedRanges = [min, 1], [2, 3], [5, max]

    nbRanges = size(ranges, 2);
    invertedRanges(1) = struct('lower', 'min', 'upper', ranges(1).lower);
    nbInvRange = 1;
    for i=2:nbRanges
        nbInvRange = nbInvRange + 1;
        invertedRanges(nbInvRange) = struct('lower', ranges(i-1).upper, 'upper', ranges(i).lower);
    end
    nbInvRange = nbInvRange + 1;
    invertedRanges(nbInvRange) = struct('lower', ranges(nbRanges).upper, 'upper', 'max');
end

