function [geomId, geomPos] = loadMarkerIniFile(FileName)

    ini = ini2struct (FileName);

    if ~isfield(ini, 'geometry')
        error ('missing geometry section');
    end
    if ~isfield(ini.geometry, 'count')
        error ('missing geometry.count value');
    end
    if ~isfield(ini.geometry, 'id')
        error ('missing geometry.id value');
    end

    geomId = uint32 (str2num (ini.geometry.id));

    for u=0:str2num (ini.geometry.count)-1

        section = sprintf ('fiducial%d', u);

        if ~isfield(ini, section)
            error ('missing %s section', section);
        end
        pos = getfield(ini, section);
        if ~isfield(pos, 'x')
            error ('missing  %s.x value', section);
        end
        if ~isfield(pos, 'y')
            error ('missing  %s.y value', section);
        end
        if ~isfield(pos, 'z')
            error ('missing  %s.z value', section);
        end
        geomPos(1:3,u+1) = [str2num(pos.x); str2num(pos.y); str2num(pos.z)];
    end

end